import { du as t, dv as e, cG as r, dw as i, v as o, a6 as s, a2 as a, w as p, af as m, ar as l } from "./index-f50c05c4.js";
import { _ as n } from "./lodash-f1e42446.js";
import { lR as c, lS as d } from "./ant-design-icons-b1480d8d.js";
import "./loglevel-6fb66d22.js";
import "./axios-84bb1c75.js";
import "./redux-devtools-d38e5b33.js";
import "./alasql-0ff6dabf.js";
import "./react-router-a1807b5b.js";
import "./antd-04a23d13.js";
import "react";
import "react-dom";
import "./dayjs-844325ae.js";
import "./fontawesome-2445f580.js";
import "./dnd-kit-56a2f36f.js";
import "./styled-components-1e696d6b.js";
import "./numbro-c1edb412.js";
import "./papaparse-1bac8e5f.js";
import "./uuid-82f303b2.js";
import "./supabase-c27c62e3.js";
import "./fetch-a3c8ad94.js";
import "./react-draggable-60f59f09.js";
import "./remark-gfm-f2973785.js";
import "./buffer-d3713d77.js";
import "./rehype-raw-41b6145f.js";
import "./parse5-6476676e.js";
import "./rehype-sanitize-deb53e9a.js";
import "./simplebar-react-e1b123a3.js";
import "./react-best-gradient-color-picker-4dd60dac.js";
import "./ua-parser-js-094f59ba.js";
import "./clsx-469c2c43.js";
import "./crypto-js-d5eac8ba.js";
import "./codemirror-73d8c217.js";
import "./really-relaxed-json-49b6a70d.js";
import "./immer-c0428a8d.js";
import "./redux-saga-5514e228.js";
import "./hotkeys-js-0dddb21a.js";
import "./cnchar-5678e6bc.js";
import "./react-documents-eb6de859.js";
import "./sql-formatter-69e8df59.js";
import "./rc-trigger-5125aafe.js";
import "./react-json-view-9403d8a1.js";
import "./qrcode-react-cb73d2b6.js";
import "./katex-a34f0265.js";
import "./ecogis-maps-bb0d63f9.js";
import "./devextreme-2fa5bb9a.js";
const h = { itemKey: o(""), label: s, icon: a, tooltip: s, textColor: p(m, "#666666"), hoverColor: p(m, "#1890ff"), onEvent: l([{ label: "onClick", value: "onClick", description: "" }]) };
class j extends t {
  getView() {
    return n.mapValues(this.children, (t2) => t2.getView());
  }
  getPropertyView() {
    return c(d, { children: [this.children.label.propertyView({ label: "Label" }), this.children.icon.propertyView({ label: "Icon" }), this.children.tooltip.propertyView({ label: "Tooltips" }), this.children.textColor.propertyView({ label: "Text" }), this.children.hoverColor.propertyView({ label: "Hover color" }), this.children.onEvent.propertyView()] });
  }
  parseChildrenFromValue(t2) {
    return e(t2, { ...h, items: u });
  }
  ignoreChildDefaultValue() {
    return true;
  }
  addSubItem(t2) {
    this.children.items.addItem(t2);
  }
  getItemKey() {
    return this.children.itemKey.getView();
  }
}
class u extends r(j) {
  addItem(t2) {
    this.getView(), this.dispatch(this.pushAction(t2 ? { ...t2, itemKey: t2.itemKey || i() } : { label: "new button", tooltip: "", textColor: "#666666", hoverColor: "#1890ff", itemKey: i() }));
  }
  deleteItem(t2) {
    this.dispatch(this.deleteAction(t2));
  }
  moveItem(t2, e2) {
    this.dispatch(this.arrayMoveAction(t2, e2));
  }
}
function y() {
  const t2 = r(j);
  return class extends t2 {
    addItem(t3) {
      this.getView(), this.dispatch(this.pushAction(t3 ? { ...t3, itemKey: t3.itemKey || i() } : { label: "new button", tooltip: "", textColor: "#666666", hoverColor: "#1890ff", itemKey: i() }));
    }
    deleteItem(t3) {
      this.dispatch(this.deleteAction(t3));
    }
    moveItem(t3, e2) {
      this.dispatch(this.arrayMoveAction(t3, e2));
    }
  };
}
export {
  j as ButtonActionItemComp,
  u as ButtonActionListComp,
  y as buttonActionListComp
};
